%global         gituser         volatilityfoundation
%global         gitname         volatility
%global         commit          a52c979df52efcddaf4ea85fa5e7cb11bc258661
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           python-volatility
Version:        2.4.1
Release:        1%{?dist}
Summary:        Volatile memory extraction utility framework

License:        GPLv2+
URL:            http://code.google.com/p/volatility/
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{gitname}-%{version}-%{shortcommit}.tar.gz
Source1:        vol_genprofile

BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools
Requires:       pycrypto

#Used in script vol_genprofile for generation of linux profile
Requires:       libdwarf-tools

%description
The Volatility Framework is a completely open collection of tools, implemented
in Python under the GNU General Public License, for the extraction of digital
artifacts from volatile memory (RAM) samples. The extraction techniques are
performed completely independent of the system being investigated but offer
unprecedented visibility into the run time state of the system. The framework is
intended to introduce people to the techniques and complexities associated with
extracting digital artifacts from volatile memory samples and provide a
platform for further work into this exciting area of research. 


%prep
%setup -qn %{gitname}-%{commit}


%build
%{__python2} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{python2_sitelib}/volatility/plugins/contrib
mv %{buildroot}/usr/contrib/plugins/* %{buildroot}%{python2_sitelib}/volatility/plugins/contrib/
touch %{buildroot}%{python2_sitelib}/volatility/plugins/contrib/__init__.py
touch %{buildroot}%{python2_sitelib}/volatility/plugins/contrib/malware/__init__.py

mkdir -p %{buildroot}/%{_datadir}/%{name}
mv %{buildroot}/usr/tools %{buildroot}/%{_datadir}/%{name}/tools

mv %{buildroot}/%{_datadir}/%{name}/tools/vtype_diff.py %{buildroot}/%{_bindir}/
mv %{buildroot}%{_bindir}/vol.py %{buildroot}/%{_bindir}/vol

install -m 755 %{SOURCE1} %{buildroot}/%{_bindir}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt LEGAL.txt
%doc AUTHORS.txt CHANGELOG.txt CREDITS.txt README.txt

%{python2_sitelib}/*
%{_datadir}/%{name}/
%{_bindir}/vol
%{_bindir}/vol_genprofile
%{_bindir}/vtype_diff.py


%changelog
* Mon Jun 22 2015 Michal Ambroz <rebus at, seznam.cz> - 2.4.1-1
- bump to current git release of 2.4.1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 26 2013 Alon Levy <alevy@redhat.com> - 2.3.1-2
- Add Requires pycrypto needed by multiple plugins

* Thu Nov 21 2013 Alon Levy <alevy@redhat.com> - 2.3.1-1
- New upstream.

* Mon Sep 16 2013 Alon Levy <alevy@redhat.com> - 2.2-3
- Fix FSF address and wrong shebang lines, rhbx#948359 comment 11

* Sat Sep 14 2013 Alon Levy <alevy@redhat.com> - 2.2-2
- Addressed review comments, rhbx#948359 comment 7

* Sat Sep 14 2013 Alon Levy <alevy@redhat.com> - 2.2-1
- Initial package (rhbz#948359)
